Bug 1240227 - [SNAPSHOT]: fails to create on thin LV with LUKS layer in between
Summary: [SNAPSHOT]: fails to create on thin LV with LUKS layer in between
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: snapshot
Version: unspecified
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
: ---
Assignee: Sunny Kumar
QA Contact: storage-qa-internal@redhat.com
URL:
Whiteboard:
Depends On: 1178031
Blocks: 1216951
TreeView+ depends on / blocked
 
Reported: 2015-07-06 09:36 UTC by rjoseph
Modified: 2018-04-16 18:03 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
LUKS encryption over LVM is currently not supported.
Clone Of: 1178031
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)

Description rjoseph 2015-07-06 09:36:54 UTC
+++ This bug was initially created as a clone of Bug #1178031 +++

Description of problem:

my bricks are on XFS on LUKS on thin-LV.
creating a shapshot fails.


Steps to Reproduce:
1. create bricks on thin-LV, but with additional LUKS encryption layer
2. gluster snapshot ...

Actual results:

snapshot create: failed: Snapshot is supported only for thin provisioned LV. Ensure that all bricks of storage_www are thinly provisioned LV.
Snapshot command failed


Expected results:

snapshot


Additional info:

[2015-01-01 16:41:35.047033] E [glusterd-snapshot.c:1742:glusterd_is_thinp_brick] 0-management: Failed to get pool name for device /dev/mapper/data
[2015-01-01 16:41:35.047128] E [glusterd-snapshot.c:2081:glusterd_snapshot_create_prevalidate] 0-management: Snapshot is supported only for thin provisioned LV. Ensure that all bricks of storage_www are thinly provisioned LV.
[2015-01-01 16:41:35.047139] W [glusterd-snapshot.c:7013:glusterd_snapshot_prevalidate] 0-management: Snapshot create pre-validation failed
[2015-01-01 16:41:35.047146] W [glusterd-mgmt.c:154:gd_mgmt_v3_pre_validate_fn] 0-management: Snapshot Prevalidate Failed
[2015-01-01 16:41:35.047151] E [glusterd-mgmt.c:675:glusterd_mgmt_v3_pre_validate] 0-management: Pre Validation failed for operation Snapshot on local node
[2015-01-01 16:41:35.047156] E [glusterd-mgmt.c:1850:glusterd_mgmt_v3_initiate_snap_phases] 0-management: Pre Validation Failed

--- Additional comment from pille on 2015-01-16 09:03:47 EST ---

hey, i'd like to know what the ETA for this issue is.
we have a tight schedule and need to figure out whether we wait for a solution on your side, or we do the work of reconfiguring the storage, so that the crypto layer is below the thinpool. the trade-off is that we would need to backup the data before and migration in each direction will take two weeks.

Comment 2 monti lawrence 2015-07-22 19:44:19 UTC
Doc text is edited. Please sign off to be included in Known Issues.

Comment 4 Avra Sengupta 2015-07-27 07:12:17 UTC
Doc text looks good. Verified.


Note You need to log in before you can comment on or make changes to this bug.